Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Read knowledge base documents for a project
GET /api/knowledge-docs
projectId
projectSlug
{ "knowledgeDocs": [ { "id": "uuid", "slug": "refund-policy", "title": "Refund Policy", "content": "Customers may request a refund...", "createdAt": "2026-04-01T12:00:00.000Z", "updatedAt": "2026-04-08T09:30:00.000Z" } ] }
curl "https://app.artanis.ai/api/knowledge-docs?projectSlug=my-project" \ -H "x-api-key: $ARTANIS_API_KEY" \ -H "x-org-slug: my-org"
import os, requests r = requests.get( "https://app.artanis.ai/api/knowledge-docs", params={"projectSlug": "my-project"}, headers={ "x-api-key": os.environ["ARTANIS_API_KEY"], "x-org-slug": "my-org", }, ) docs = r.json()["knowledgeDocs"]
const res = await fetch("https://app.artanis.ai/api/knowledge-docs?projectSlug=my-project", { headers: { "x-api-key": process.env.ARTANIS_API_KEY!, "x-org-slug": "my-org", }, }); const { knowledgeDocs } = await res.json();
GET /api/knowledge-docs/{docId}
{ "id": "uuid", "slug": "refund-policy", "title": "Refund Policy", "versions": [ { "id": "uuid", "content": "...", "isActive": false, "createdAt": "2026-03-01T00:00:00.000Z" }, { "id": "uuid", "content": "...", "isActive": true, "createdAt": "2026-04-01T00:00:00.000Z" } ] }